edu.isi.pegasus.common.util

## Class ProfileParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - edu.isi.pegasus.common.util.ProfileParserException

All Implemented Interfaces:
  java.io.Serializable

    public class ProfileParserException
    extends java.lang.Exception

This class is used to signal errors while parsing profile strings

Version:
  $Revision$
Author:
  Gaurang Mehta, Jens-S. Vöckler
See Also:
  `ProfileParser`, Serialized Form

### Field Summary

Fields
`private int` `m_position` Remembers the position that cause the exception to be thrown.

### Constructor Summary

Constructors
Constructor and Description
`ProfileParserException(java.lang.String msg, int position)`
`ProfileParserException(java.lang.String msg, int position, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPosition()` Obtains the position at which point the exception was thrown.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_position

    private int m_position

Remembers the position that cause the exception to be thrown.

### Constructor Detail

#### ProfileParserException

    public ProfileParserException(java.lang.String msg,
                                  int position)

#### ProfileParserException

    public ProfileParserException(java.lang.String msg,
                                  int position,
                                  java.lang.Throwable cause)

### Method Detail

#### getPosition

    public int getPosition()

Obtains the position at which point the exception was thrown.

Returns:
  a column position into the string